package cn.com.capcloud.core.cache;

public class BaseConfigStaticCache {
	private static KHCRedisCache khcRedisCache;
	public static String get(String key) {
		return BaseConfigStaticCache.khcRedisCache.getBaseConfigByCode(key);
	}
	public static KHCRedisCache getRedisCache() {
		return BaseConfigStaticCache.khcRedisCache;
	}
	public static void init(KHCRedisCache khcRedisCache) {
		if(BaseConfigStaticCache.khcRedisCache ==null){
			BaseConfigStaticCache.khcRedisCache = khcRedisCache;
		}
		khcRedisCache.deleteAllBaseConfig();
	}

}
